local modUtil = require "merk_modutil_1_1"
require "stringutil"

local options_br_146 = {
	br_146_fake = { type = "boolean", default = false, name = _("BR 146 Fakeversionen"), description = _("option_br_146_fake_desc"), image = "res/textures/ui/models_small/vehicle/train/br_146_0_db_fake.tga" },	
}

function data()
return {
	info = {
		minorVersion = 2,
		severityAdd = "NONE",
		severityRemove = "WARNING",
		name = _("BR 146.0"),
		description = _("info_br_146_0_desc"),
		tags = { "Europe", "Locomotive", },
		authors = {
			{
				name = "Kaleut1988",
				role = "CREATOR",
				text = "3d model, mapping, textures",
				tfnetId = 22532,				
			},
			{
				name = "baubus",
				role = "CO_CREATOR",
				text = "soundset",
				tfnetId = 18332,				
			},
		},
		tfnetId = 2788,                 															-- optional, transportfever.net id
		steamId = 874952058,             															-- optional, steam workshop id
		url = "https://www.transportfever.net/filebase/index.php/Entry/2788-BR-145-146-0/", 	-- optional, URL zur Webseite des Mods
		visible = true
	},
	settings = options_br_146,
		
	runFn = function(settings)
		modUtil.initialize("kaleut_br_146", options_br_146, files)
		local settings = modUtil.userSettings.get("kaleut_br_146")
		if not settings.br_146_fake then
			-- fakeversionen ausblenden
			modUtil.vehicles.hideObject("vehicle/train/br_146_0_db_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_146_0_ddvb_fake.mdl")	
			modUtil.vehicles.hideObject("vehicle/train/br_146_0_nrw_fake.mdl")
			modUtil.vehicles.hideObject("vehicle/train/br_146_0_rp_fake.mdl")	
		end	
	end
}
end
